Subject: bug#38665: [PATCH] Add nosqueeze for fill-paragraph

From: Stefan Kangas <[email-masked]>
Date: Thu, 24 Nov 2022 17:36:48 -0800

Lars Ingebrigtsen <[email-masked]> writes:

> Phil Sainty <[email-masked]> writes:
>
>> My suggestion there for C-u C-u was:
>>
>>>>> That could mean "prompt for the fill-prefix, and use the default
>>>>> column and justify values", but it might be more useful to instead
>>>>> make it prompt for *everything* -- justify, fill-column,
>>>>> fill-prefix, and maybe left-margin too.
>>>>> The default value would be provided in each case, so you could
>>>>> just RET your way past the ones you didn't want to change.
>>
>> I think we could blend the 'nosqueeze' option into all this, but if
>> the new changes could happen in a way which wouldn't create any serious
>> conflicts for the other changes I'm still hoping to get made, that
>> would be grand.
>>
>> Or if someone is motivated, please feel free to run with what I'd
>> already done.  I may have some more-recent local WIP on my other
>> machine; I'll have a look for that later.
>
> I think the idea is sound -- there's so many variations of what you'd
> possibly want this command to do, so prompting seems good: Neither user
> options nor adding more prefix combinations would help, I think.
>
> If you could finish up the WIP and post the patch, that'd be great.

That was 2 years ago.  Phil, did you make any progress with your patch?